[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'BufDataset' (#fcl)

# TCustomBufDataset.GetDatasetPacket

Builds a data packet representing the content in the buffered dataset

## Declaration

Source position: bufdataset.pas line 646

`public procedure TCustomBufDataset.GetDatasetPacket(`
`AWriter: TDataPacketReader`
`);`

## Arguments

`AWriter` |  | Data packet handler for the operation

## Description

GetDatasetPacket is a procedure used to build the data packet that represents the content in the buffered dataset. GetDatasetPacket ensures that record buffers and update buffers in the dataset are normalized and applied using the data packet handler (n.b. I won't call it a reader if it writes) in AWriter.

GetDatasetPacket sequentially processes records using the currently selected index for the dataset. Update buffers for a given record are consolidate in the record buffer, and the record buffer to stored to the data packet handler. The current record position is not changed when the process has been completed.

GetDatasetPacket stores the current value for an auto-increment field used in the dataset in the AWriter argument. The internal data packet handler for the dataset is set to Nil when the method is completed.

GetDatasetPacket is used in the implementation of the SaveToStream method.

## See also

TDataPacketReader |  | Implements a data packet reader for TBufDataset
TCustomBufDataset.SaveToStream |  | Saves the dataset to the specified stream using the given data format